/** StudentData.java
  * This file is used by the Array7.java driver class.
  * This class stores student object information of name, age and gpa in an ArrayList object.
  * Methods are provided to retrieve the external Student.dat file, store each Student student object
  * in an element of the ArrayList students object, display the list and sort the list. 
  *
  *Most of this is NOT part of the AP A Subset
  *By Jane Chapman, Michael Landrum and Leon Schram
  */
  
  

import java.io.*;
import java.util.ArrayList;

      
class StudentData
{
	
   private ArrayList students;	

      
   public StudentData()
   {
      students = new ArrayList();            
   }


   public void getList() throws IOException
   {
      BufferedReader inStream = new BufferedReader(new FileReader("C:\\Documents and Settings\\Fran\\My Documents\\SummerWorkshops2003\\ArraySamples\\Students.dat"));	     
      String str1,str2,str3;
      String name;
      int age;
      double gpa;						
      while( ((str1 = inStream.readLine()) != null) && 
             ((str2 = inStream.readLine()) != null) && ((str3 = inStream.readLine()) != null) )	
      {
      	 name = str1;
         age = Integer.parseInt(str2);
         gpa = Double.parseDouble(str3);
         students.add(new Student(name,age,gpa));       
      }   
      inStream.close();   					
   }
  
  
   public void showList()
   {
      System.out.println("\nDISPLAYING LIST ELEMENTS");
      for (int k = 0; k < students.size(); k++)
      {
         Student st = (Student) students.get(k);
         System.out.println(st.getName() + "\t\t" + st.getAge() + "\t\t" + st.getGpa() );
      }
   }   


   private void swap(int x, int y)
   {
      Student temp = (Student) students.get(x);
      students.set(x,students.get(y));
      students.set(y,temp);
   }  


   public void bubbleSort()
   {
   	  Student x, y;
      for (int p = 1; p < students.size(); p++)
         for (int q = 0; q < students.size()-p; q++)
         {
            x = (Student) students.get(q);
            y = (Student) students.get(q+1);
            if (x.getGpa() < y.getGpa())
               swap(q,q+1);
         }       
   }

}    

