import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Rectangle;
import javax.swing.JPanel;
import java.util.ArrayList;
import java.awt.Color;
import java.awt.geom.*;
import java.awt.Font;
/**
   This panel displays the lotto balls
   Uses Ball class (from Lottery game, Fran Trees)
*/
public class RectanglePanel extends JPanel
{  
   /**
      Constructs a rectangle panel with the rectangle at a 
      default location.
   */
   public RectanglePanel()
   {  
      setPreferredSize(new Dimension(PANEL_WIDTH, PANEL_HEIGHT));
   }


   public void setBalls(ArrayList gBalls, ArrayList nBalls)
   {
     graphicBalls = gBalls;
     balls = nBalls;
     repaint();
   }
 private void draw(Graphics2D g2)
 {
      Color b = new Color(0,0,255);
      g2.setColor(b);
      g2.fillRect(0,0,PANEL_WIDTH, PANEL_HEIGHT);

      for (int j = 0; j < balls.size(); j++)
      {
       Color r = new Color(255,0,0);
       g2.setColor(r);
       Ellipse2D.Double drawBall = (Ellipse2D.Double)graphicBalls.get(j);
       g2.fill(drawBall);
       int x = (int)(drawBall.getX()) + 10;
       int y = (int)(drawBall.getY()) + 25;
       Font f = new Font("ARIAL",Font.BOLD,12);
       g2.setFont(f);
       g2.setColor(new Color(0,0,0));
       g2.drawString( " "+((Ball)balls.get(j)).value(),x ,y);
      }
 }
   public void paintComponent(Graphics g)
   {  
      super.paintComponent(g);
      Graphics2D g2 = (Graphics2D)g;
      draw(g2);
   }
   private ArrayList graphicBalls = new ArrayList();
   private ArrayList balls =  new ArrayList();

   private static final int PANEL_WIDTH = 300;
   private static final int PANEL_HEIGHT = 300;
}
